Package ec.gp.ge

# Class GEIndividual

java.lang.Object
ec.Individual
ec.vector.VectorIndividual
ec.vector.IntegerVectorIndividual
ec.gp.ge.GEIndividual

All Implemented Interfaces:
  `Prototype`, `Setup`, `Serializable`, `Cloneable`, `Comparable<Individual>`

public class GEIndividual extends IntegerVectorIndividual
GEIndividual is a simple subclass of IntegerVectorIndividual which not only prints out (for humans) the Individual as a int vector but also prints out the Individual's tree representation.

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `BAD_TREE`
  `static final String`
  `ERC_PREAMBLE`
  `static final String`
  `GP_PREAMBLE`

  ### Fields inherited from class ec.vector.IntegerVectorIndividual

  `genome, P_INTEGERVECTORINDIVIDUAL`

  ### Fields inherited from class ec.Individual

  `evaluated, EVALUATED_PREAMBLE, fitness, P_INDIVIDUAL, species`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GEIndividual()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `printIndividualForHumans(EvolutionState state, int log)`
  Should print the individual out in a pleasing way for humans, with a verbosity of Output.V_NO_GENERAL.

  ### Methods inherited from class ec.vector.IntegerVectorIndividual

  `clamp, clone, defaultBase, defaultCrossover, defaultMutate, distanceTo, equals, genomeLength, genotypeToString, genotypeToStringForHumans, getGenome, hashCode, isInRange, join, parseGenotype, randomValueFromClosedInterval, readGenotype, reset, setGenome, setGenomeLength, setup, split, writeGenotype`

  ### Methods inherited from class ec.vector.VectorIndividual

  `cloneGenes, reset, size`

  ### Methods inherited from class ec.Individual

  `compareTo, merge, printIndividual, printIndividual, printIndividual, printIndividualForHumans, readIndividual, readIndividual, toString, writeIndividual`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### GP_PREAMBLE

    public static final String GP_PREAMBLE
    See Also:
      - Constant Field Values

  - ### ERC_PREAMBLE

    public static final String ERC_PREAMBLE
    See Also:
      - Constant Field Values

  - ### BAD_TREE

    public static final String BAD_TREE
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### GEIndividual

    public GEIndividual()

- ## Method Details

  - ### printIndividualForHumans

    public void printIndividualForHumans(EvolutionState state, int log)
    Description copied from class: `Individual`
    Should print the individual out in a pleasing way for humans, with a verbosity of Output.V_NO_GENERAL.
    Overrides:
      `printIndividualForHumans` in class `Individual`